Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.datatype.tmodel
Class TModel

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.datatype.tmodel.TModel

All Implemented Interfaces:
  java.io.Serializable

public class TModel
extends UDDIElement

Represents the tModel element within the UDDI version 2.0 schema. This class contains the following types of methods:

- Constructor passing required fields.
- Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- SaveToXML method. Serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.
In addition, this class contains the tModel keys for the UDDI core tModels. See http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm for a complete list of these core tModels.

Element description:

This structure defines metadata about a technology, specification or namespace qualified list (e.g., taxonomy, organizaton, etc.)

Author:
  David Melgar (dmelgar@us.ibm.com), Ravi Trivedi (ravi_trivedi@hp.com), Vivek Chopra (vivek_chopra2@non.hp.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `D_U_N_S_TMODEL_KEY` D-U-N-S® Number Identifier System [dnb-com:D-U-N-S] This tModel is used for the Dun & Bradstreet D-U-N-S® Number identifier.
`static java.lang.String` | `FAX_TMODEL_KEY` Fax based web service [uddi-org:fax] This tModel is used to describe a web service that is invoked through fax transmissions.
`static java.lang.String` | `FTP_TMODEL_KEY` FTP based web service [uddi-org:ftp] This tModel is used to describe a web service that is invoked through file transfers via the ftp protocol.
`static java.lang.String` | `GENERAL_KEYWORDS_TMODEL_KEY` UDDI Other Taxonomy [uddi-org:misc-taxomony] This tModel defines an unidentified taxonomy.
`static java.lang.String` | `HOMEPAGE_TMODEL_KEY` HTTP Web Home Page URL [uddi-org:homepage] This tModel is used as the bindingTemplate fingerprint for a web home page reference.
`static java.lang.String` | `HTTP_TMODEL_KEY` Web browser or HTTP based web service [uddi-org:http] This tModel is used to describe a web service that is invoked through a web browser and/or the HTTP protocol.
`static java.lang.String` | `IS_REPLACED_BY_TMODEL_KEY` UDDI IsReplacedBy [uddi-org:isReplacedBy] An identifier system used to point (using UDDI keys) to the tModel (or businessEntity) that is the logical replacement for the one in which isReplacedBy is used.
`static java.lang.String` | `ISO_CH_TMODEL_KEY` ISO 3166 Geographic Taxonomy [uddi-org:iso-ch:3166-1999] This tModel defines the ISO 3166 geographic classification taxonomy.
`static java.lang.String` | `NAICS_TMODEL_KEY` Business Taxonomy: NAICS (1997 Release) [ntis-gov:naics:1997] This tModel defines the NAICS (North American Industry Classification System) 1997 Release industry taxonomy.
`static java.lang.String` | `OPERATORS_TMODEL_KEY` UDDI Operators [uddi-org:operators] This checked value set is used to identify UDDI operators.
`static java.lang.String` | `OWNING_BUSINESS_TMODEL_KEY` UDDI Owning Business [uddi-org:owningBusiness] This tModel identifies the businessEntity that published or owns the tagged information.
`static java.lang.String` | `RELATIONSHIPS_TMODEL_KEY` UDDI businessEntity relationship [uddi-org:relationships] This tModel is used to describe business relationships.
`static java.lang.String` | `SMTP_TMODEL_KEY` Email based web service [uddi-org:smtp] This tModel is used to describe a web service that is invoked through SMTP email transmissions.
`static java.lang.String` | `TELEPHONE_TMODEL_KEY` Telephone based web service [uddi-org:telephone] This tModel is used to describe a web service that is invoked through a telephone call and interaction by voice and/or touch-tone.
`static java.lang.String` | `THOMAS_REGISTER_TMODEL_KEY` Thomas Register Supplier Identifier Code System [thomasregister-com:supplierID] This tModel is used for the Thomas Register supplier identifier codes.
`static java.lang.String` | `TYPES_TMODEL_KEY` UDDI Type Taxonomy [uddi-org:types] This taxonomy assists in general categorization of the tModels themselves.
`static java.lang.String` | `UDDI_TAG`
`static java.lang.String` | `UNSPSC_73_TMODEL_KEY` Product and Services Taxonomy:UNSPSC (Version 7.3) [unspsc-org:unspsc] This tModel defines the UNSPSC (Universal Standard Products and Services Classification) version 7.3 product and services taxonomy.
`static java.lang.String` | `UNSPSC_TMODEL_KEY` Product Taxonomy: UNSPSC (Version 3.1) [unspsc-org:unspsc:3-1] This tModel defines the UNSPSC (United Nations Standard Products and Services Code System) version 3.1 product taxonomy.

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`TModel()` Default constructor.
`TModel(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`TModel(java.lang.String tModelKey, java.lang.String name)` Construct the object with required fields.

Method Summary
`java.lang.String` | `getAuthorizedName()`
`CategoryBag` | `getCategoryBag()`
`java.lang.String` | `getDefaultDescriptionString()` Get default description string.
`java.util.Vector` | `getDescriptionVector()` Get description.
`IdentifierBag` | `getIdentifierBag()`
`Name` | `getName()`
`java.lang.String` | `getNameString()`
`java.lang.String` | `getOperator()`
`OverviewDoc` | `getOverviewDoc()`
`java.lang.String` | `getTModelKey()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setAuthorizedName(java.lang.String s)`
`void` | `setCategoryBag(CategoryBag s)`
`void` | `setDefaultDescriptionString(java.lang.String s)` Set default (english) description string.
`void` | `setDescriptionVector(java.util.Vector s)` Set description vector.
`void` | `setIdentifierBag(IdentifierBag s)`
`void` | `setName(Name s)`
`void` | `setName(java.lang.String s)`
`void` | `setOperator(java.lang.String s)`
`void` | `setOverviewDoc(OverviewDoc s)`
`void` | `setTModelKey(java.lang.String s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### TYPES_TMODEL_KEY

    public static final java.lang.String TYPES_TMODEL_KEY

  UDDI Type Taxonomy [uddi-org:types]
  This taxonomy assists in general categorization of the tModels themselves.

  See Also:
    Constant Field Values

### NAICS_TMODEL_KEY

    public static final java.lang.String NAICS_TMODEL_KEY

  Business Taxonomy: NAICS (1997 Release) [ntis-gov:naics:1997]
  This tModel defines the NAICS (North American Industry Classification System) 1997 Release industry taxonomy.

  See Also:
    Constant Field Values

### UNSPSC_TMODEL_KEY

    public static final java.lang.String UNSPSC_TMODEL_KEY

  Product Taxonomy: UNSPSC (Version 3.1) [unspsc-org:unspsc:3-1]
  This tModel defines the UNSPSC (United Nations Standard Products and Services Code System) version 3.1 product taxonomy.

  This taxonomy has been superceeded by the Universal Standard Products and Services Classification (see `UNSPSC_73_TMODEL_KEY`) taxonomy.

  See Also:
    Constant Field Values

### UNSPSC_73_TMODEL_KEY

    public static final java.lang.String UNSPSC_73_TMODEL_KEY

  Product and Services Taxonomy:UNSPSC (Version 7.3) [unspsc-org:unspsc]
  This tModel defines the UNSPSC (Universal Standard Products and Services Classification) version 7.3 product and services taxonomy.

  See Also:
    Constant Field Values

### ISO_CH_TMODEL_KEY

    public static final java.lang.String ISO_CH_TMODEL_KEY

  ISO 3166 Geographic Taxonomy [uddi-org:iso-ch:3166-1999]
  This tModel defines the ISO 3166 geographic classification taxonomy.

  See Also:
    Constant Field Values

### GENERAL_KEYWORDS_TMODEL_KEY

    public static final java.lang.String GENERAL_KEYWORDS_TMODEL_KEY

  UDDI Other Taxonomy [uddi-org:misc-taxomony]
  This tModel defines an unidentified taxonomy.

  See Also:
    Constant Field Values

### OWNING_BUSINESS_TMODEL_KEY

    public static final java.lang.String OWNING_BUSINESS_TMODEL_KEY

  UDDI Owning Business [uddi-org:owningBusiness]
  This tModel identifies the businessEntity that published or owns the tagged information. Used with tModels to establish an 'owned' relationship with a registered businessEntity.

  See Also:
    Constant Field Values

### RELATIONSHIPS_TMODEL_KEY

    public static final java.lang.String RELATIONSHIPS_TMODEL_KEY

  UDDI businessEntity relationship [uddi-org:relationships]
  This tModel is used to describe business relationships. Used in the publisher assertion messages.

  See Also:
    Constant Field Values

### OPERATORS_TMODEL_KEY

    public static final java.lang.String OPERATORS_TMODEL_KEY

  UDDI Operators [uddi-org:operators]
  This checked value set is used to identify UDDI operators.

  See Also:
    Constant Field Values

### D_U_N_S_TMODEL_KEY

    public static final java.lang.String D_U_N_S_TMODEL_KEY

  D-U-N-S® Number Identifier System [dnb-com:D-U-N-S]
  This tModel is used for the Dun & Bradstreet D-U-N-S® Number identifier.

  See Also:
    Constant Field Values

### THOMAS_REGISTER_TMODEL_KEY

    public static final java.lang.String THOMAS_REGISTER_TMODEL_KEY

  Thomas Register Supplier Identifier Code System [thomasregister-com:supplierID]
  This tModel is used for the Thomas Register supplier identifier codes.

  See Also:
    Constant Field Values

### IS_REPLACED_BY_TMODEL_KEY

    public static final java.lang.String IS_REPLACED_BY_TMODEL_KEY

  UDDI IsReplacedBy [uddi-org:isReplacedBy]
  An identifier system used to point (using UDDI keys) to the tModel (or businessEntity) that is the logical replacement for the one in which isReplacedBy is used.

  See Also:
    Constant Field Values

### SMTP_TMODEL_KEY

    public static final java.lang.String SMTP_TMODEL_KEY

  Email based web service [uddi-org:smtp]
  This tModel is used to describe a web service that is invoked through SMTP email transmissions. These transmissions may be between people or applications.

  See Also:
    Constant Field Values

### FAX_TMODEL_KEY

    public static final java.lang.String FAX_TMODEL_KEY

  Fax based web service [uddi-org:fax]
  This tModel is used to describe a web service that is invoked through fax transmissions. These transmissions may be between people or applications.

  See Also:
    Constant Field Values

### FTP_TMODEL_KEY

    public static final java.lang.String FTP_TMODEL_KEY

  FTP based web service [uddi-org:ftp]
  This tModel is used to describe a web service that is invoked through file transfers via the ftp protocol.

  See Also:
    Constant Field Values

### TELEPHONE_TMODEL_KEY

    public static final java.lang.String TELEPHONE_TMODEL_KEY

  Telephone based web service [uddi-org:telephone]
  This tModel is used to describe a web service that is invoked through a telephone call and interaction by voice and/or touch-tone.

  See Also:
    Constant Field Values

### HTTP_TMODEL_KEY

    public static final java.lang.String HTTP_TMODEL_KEY

  Web browser or HTTP based web service [uddi-org:http]
  This tModel is used to describe a web service that is invoked through a web browser and/or the HTTP protocol.

  See Also:
    Constant Field Values

### HOMEPAGE_TMODEL_KEY

    public static final java.lang.String HOMEPAGE_TMODEL_KEY

  HTTP Web Home Page URL [uddi-org:homepage]
  This tModel is used as the bindingTemplate fingerprint for a web home page reference.

  See Also:
    Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### TModel

    public TModel()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### TModel

    public TModel(java.lang.String tModelKey,
                  java.lang.String name)

  Construct the object with required fields.

Parameters:
  `tModelKey` - String
  `name` - String

### TModel

    public TModel(org.w3c.dom.Element base)
           throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

Method Detail

### setTModelKey

    public void setTModelKey(java.lang.String s)

### setOperator

    public void setOperator(java.lang.String s)

### setAuthorizedName

    public void setAuthorizedName(java.lang.String s)

### setName

    public void setName(Name s)

### setName

    public void setName(java.lang.String s)

### setOverviewDoc

    public void setOverviewDoc(OverviewDoc s)

### setIdentifierBag

    public void setIdentifierBag(IdentifierBag s)

### setCategoryBag

    public void setCategoryBag(CategoryBag s)

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector s)

  Set description vector.

  Parameters:
    `s` - Vector of Description objects.

### setDefaultDescriptionString

    public void setDefaultDescriptionString(java.lang.String s)

  Set default (english) description string.

  Parameters:
    `s` - String

### getTModelKey

    public java.lang.String getTModelKey()

### getOperator

    public java.lang.String getOperator()

### getAuthorizedName

    public java.lang.String getAuthorizedName()

### getName

    public Name getName()

### getNameString

    public java.lang.String getNameString()

### getOverviewDoc

    public OverviewDoc getOverviewDoc()

### getIdentifierBag

    public IdentifierBag getIdentifierBag()

### getCategoryBag

    public CategoryBag getCategoryBag()

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Get description.

  Returns:
    s Vector of Description objects.

### getDefaultDescriptionString

    public java.lang.String getDefaultDescriptionString()

  Get default description string.

  Returns:
    s String

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.